using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class download : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
            return;

        BindData();
    }


    #region 产品绑定
    /// <summary>
    /// 数据绑定
    /// </summary>
    private void BindData()
    {

        //计算总数的语句的头部
        string sql_CountFirst = string.Empty;
        sql_CountFirst += " select";
        sql_CountFirst += " count(*)";
        sql_CountFirst += " from NT_Data ";
        sql_CountFirst += " where ClassId=287";

        //查询语句的头部
        string sql_SelectFirst = "select ID ,ClassId,Title,TitlePicture,Intro,Content,AddTime,FilePath,OrderNum ";
        sql_SelectFirst += " from NT_Data ";
        sql_SelectFirst += " where ClassId=287";
        sql_SelectFirst += " order by OrderNum desc, ID desc";


        DataTable dt_download = WebControlsFunc.GetDataTableByAspNetPager(AspNetPager1, sql_CountFirst, sql_SelectFirst);
        lit_download.Text = "";
        foreach (DataRow dr in dt_download.Rows)
        {
            lit_download.Text += "<li><cite>" + DateTimeFunc.dateFormat(DateTime.Parse(dr["AddTime"].ToString()), 3, "-") + "</cite><a href='" + dr["FilePath"] + "' title='" + dr["Title"] + "'>" + FrontFunc.Cutstring(dr["Title"].ToString(), 45) + "</a></li>";
        }


    }
    #endregion

    #region 分页事件
    protected void AspNetPager1_PageChanging(object src, Wuqi.Webdiyer.PageChangingEventArgs e)
    {
        this.AspNetPager1.CurrentPageIndex = e.NewPageIndex;
        BindData();
    }
    #endregion
}
